#ifndef SOFTWARE_H
#define SOFTWARE_H

#include <QDate>
#include <QObject>

class Software : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString name READ getName WRITE setName)
    Q_PROPERTY(QDate date READ getDate WRITE setDate)
    Q_PROPERTY(bool recommend READ getRecommend WRITE setRecommend)
public:
    Software();
    Software(QString n, QDate d, bool r);

    void setName(QString s);
    QString getName() const;

    void setDate(QDate d);
    QDate getDate() const;

    void setRecommend(bool r);
    bool getRecommend() const;

    QString toString() const;

private:
    QString name;
    QDate date;
    bool recommend;
};

#endif // SOFTWARE_H
