#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QTextDocument>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void load();
    void processContents();
    
private:
    Ui::MainWindow *ui;
    QTextDocument *document;

    static QRegExp email;
    static QRegExp tel1;
    static QRegExp tel2;
};

#endif // MAINWINDOW_H
