#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "software.h"
#include "reviewoutput.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->dateEdit->setDate(QDate::currentDate());
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_buttonAdd_clicked()
{
    Software temp;
    temp.setName(ui->enterName->text());
    temp.setDate(ui->dateEdit->date());
    temp.setRecommend(ui->checkBox->isChecked());

    list.add(temp);

    ui->enterName->clear();
    ui->dateEdit->setDate(QDate::currentDate());
    ui->checkBox->setChecked(false);
    ui->enterName->setFocus();
}

void MainWindow::on_buttonDisplay_clicked()
{
    ReviewOutput output;
    output.outputConsole(list.getList());
    ui->enterName->setFocus();
}
