#include "software.h"

Software::Software()
{
    name = QString();
    date = QDate::currentDate();
    recommend = false;
}

Software::Software(QString n, QDate d, bool r):
    name(n), date(d), recommend(r)
{}

void Software::setName(QString s)
{
    name = s;
}

QString Software::getName() const
{
    return name;
}

void Software::setDate(QDate d)
{
    date = d;
}

QDate Software::getDate() const
{
    return date;
}

void Software::setRecommend(bool r)
{
    recommend = r;
}

bool Software:: getRecommend() const
{
    return recommend;
}

QString Software::toString() const
{
    QString rec = recommend ? "recommended" : "not recommended";
    return QString(name + " reviewed on " + date.toString("dd MMMM yyyy") + " and it is " + rec + ".");
}

