#ifndef DIRECTORYVIEWER_H
#define DIRECTORYVIEWER_H

#include <QWidget>
#include <QFileSystemModel>
#include <QPushButton>
#include <QTreeView>

class DirectoryViewer : public QWidget{
    Q_OBJECT
public:
    DirectoryViewer();
private slots:
    void createDirectory();
    void remove();
    void up();
private:
    QTreeView *treeView;    
    QFileSystemModel *model;
    QPushButton *mkdirButton;
    QPushButton *removeButton;
    QPushButton *upButton;

};

#endif
